Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions | Variables
module_utilities.h File Reference

public methods for module_utilities.c More...

`#include "application_configuration.h"`
`#include "module_utilities.h"`
`#include <stddef.h>`

## Data Structures
struct | moduleConfiguration

## Macros
#define | DEFAULT_CHANNEL_MASK (CHANNEL_MASK_11 | CHANNEL_MASK_14 | CHANNEL_MASK_17 | CHANNEL_MASK_20 | CHANNEL_MASK_23)
#define | DEFAULT_POLL_RATE_MS 2000
#define | DEFAULT_STARTUP_OPTIONS (STARTOPT_CLEAR_CONFIG + STARTOPT_CLEAR_STATE)
#define | GENERIC_APPLICATION_CONFIGURATION 0

## Functions
moduleResult_t | startModule (const struct moduleConfiguration *mc, const struct applicationConfiguration *ac)
void | displayMessages ()

## Variables
struct moduleConfiguration | DEFAULT_MODULE_CONFIGURATION_COORDINATOR
struct moduleConfiguration | DEFAULT_MODULE_CONFIGURATION_ROUTER
struct moduleConfiguration | DEFAULT_MODULE_CONFIGURATION_END_DEVICE

## Detailed Description

public methods for module_utilities.c

Rev:
  1642

Author:
  dsmith

Date:
  2012-10-31 11:17:04 -0700 (Wed, 31 Oct 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Tesla Controls. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

void displayMessages | ( |  | ) |

Retrieves a pending message from the module and displays the type of message it is. Ignores the message if length = 0.

Precondition:
  moduleHasMessageWaiting() is true

moduleResult_t startModule | ( | const struct moduleConfiguration * | mc,
|  | const struct applicationConfiguration * | ac
| ) |  |

Start the Module and join a network, using the AF/ZDO interface.

Parameters:

  moduleConfiguration | the settings to use to start the module
  applicationConfiguration | the settings to use to start the Zigbee Application

See also:
  struct moduleConfiguration in module_utilities.h for information about each field of the moduleConfiguration
  struct applicationConfiguration in application_configuration.h for information about each field of the applicationConfiguration
  module.c for more information about each of these steps.

## Variable Documentation

struct moduleConfiguration DEFAULT_MODULE_CONFIGURATION_COORDINATOR

Default configuration for a standard coordinator. Modify in application as needed.

struct moduleConfiguration DEFAULT_MODULE_CONFIGURATION_END_DEVICE

Default configuration for a standard end device. Modify in application as needed.

struct moduleConfiguration DEFAULT_MODULE_CONFIGURATION_ROUTER

Default configuration for a standard router. Modify in application as needed.